Verify corporate document
curl --request POST \
--url https://api.dataspike.io/api/v4/kyb/{applicant_id}/verify-document \
--header 'Content-Type: application/json' \
--header 'ds-api-token: <api-key>' \
--data '
{
"documents": [
{
"doc_path": "019c9c39-0b8a-7aa4-a5c0-abc123def456"
}
],
"user_provided_data": {
"shareholders": [
{
"name": "John Doe",
"first_name": "John",
"last_name": "Doe",
"nationality": "US"
}
]
}
}
'import requests
url = "https://api.dataspike.io/api/v4/kyb/{applicant_id}/verify-document"
payload = {
"documents": [{ "doc_path": "019c9c39-0b8a-7aa4-a5c0-abc123def456" }],
"user_provided_data": { "shareholders": [
{
"name": "John Doe",
"first_name": "John",
"last_name": "Doe",
"nationality": "US"
}
] }
}
headers = {
"ds-api-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'ds-api-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
documents: [{doc_path: '019c9c39-0b8a-7aa4-a5c0-abc123def456'}],
user_provided_data: {
shareholders: [{name: 'John Doe', first_name: 'John', last_name: 'Doe', nationality: 'US'}]
}
})
};
fetch('https://api.dataspike.io/api/v4/kyb/{applicant_id}/verify-document', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "019c9e79-4d64-73e1-9f30-5374f0f57975",
"status": "initial"
}KYB Verification
Verify corporate document
Submit corporate documents (certificate of incorporation, shareholder certificate, etc.) for KYB verification. Optionally provide shareholder data to validate against extracted document information.
The request is processed asynchronously. Poll GET /api/v4/kyb/result/{request_id} for the result.
POST
/
api
/
v4
/
kyb
/
{applicant_id}
/
verify-document
Verify corporate document
Authorizations
Path Parameters
The applicant ID to associate with this verification
Example:
"01827ed4-c928-7a3c-9a30-7ab7cc169d11"
Body
application/json
⌘I